<?php
namespace Qihoo;
use Qihoo\Config;

class AreaHost
{
	private $upHost;
	private $apiHost;
	
	static $areaHosts = null;
	
	private function __construct($upHost, $apiHost)
	{/*{{{*/
		$this->upHost = $upHost;
		$this->apiHost = $apiHost;
	}/*}}}*/

	public static function getIns() 
	{/*{{{*/
		if(self::$areaHosts != null) {
			return self::$areaHosts;
		}
		
		$area = Config::$QIHOO_OSS_AREA;
		if($area == 'sh') {
			self::$areaHosts = self::shArea();
		} else if($area == 'bj'){
			self::$areaHosts = self::bjArea();
		} else if ($area == 'default') {
			self::$areaHosts = self::defaultArea();
		} else {
			throw new Exception('not support config env for '. $area);
		}

		return self::$areaHosts;
	}/*}}}*/

	static private  function bjArea()
	{/*{{{*/
		return new self('up-beijing.oss.yunpan.360.cn', 'rs-beijing.oss.yunpan.360.cn');
	}/*}}}*/
	
	static private function shArea()
	{/*{{{*/
		return new self('up-shanghai.oss.yunpan.360.cn', 'rs-shanghai.oss.yunpan.360.cn');
	}/*}}}*/
	
	static private function defaultArea()
	{/*{{{*/
        return self::shArea();
	}/*}}}*/

	public function getUpHost() 
	{/*{{{*/
		return $this->upHost;
	}/*}}}*/

	public function getApiHost() 
	{/*{{{*/
		return $this->apiHost;
	}/*}}}*/
}
