<?php
namespace Qihoo\Lib\Logger;

use Qihoo\Lib\Logger\LogObject;

class LogSvc
{/*{{{*/
    static $LOG_PATH = '';

    static $_log_id = null;
    static $_oss_request_log      = null;
    static $_oss_err_log  = null;
    public static function _getLogId()
    {/*{{{*/
        if (empty(self::$_log_id))
        {
            list($usec, $sec) = \explode(" ", \microtime());
            self::$_log_id = \time().\str_pad(\number_format((float)$usec,3) * 1000, 3, '0', STR_PAD_LEFT).\str_pad(\rand(1,1000), 4, '0'); 
        }
        return self::$_log_id;
    }/*}}}*/

    public static function setLogPath($path)
    {/*{{{*/
        self::$LOG_PATH = $path;
    }/*}}}*/
	
    public static function getOssRequestLog()
    {/*{{{*/
        return self::getLogTpl( 'oss_request' );
    }/*}}}*/

    public static function getOssErrLog()
    {/*{{{*/
        return self::getLogTpl( 'oss_err', true );
    }/*}}}*/

    private static function getLogTpl( $type, $only = false )
    {/*{{{*/
        $obj_name = '_'.$type.'_log';
        if ( \is_object( self::$$obj_name ) )
        {
            return self::$$obj_name;
        }

        $fname = self::$LOG_PATH.$type.'_'.\date('Ymd').'.log';
        if ( $only )
        {
            $fname = self::$LOG_PATH.$type.'.log';
        }
        self::$$obj_name = new LogObject( $fname );
        return self::$$obj_name;
    }/*}}}*/
}
?>
